Bug 1569171 - Help Documentation is only visible to users with super admin role
Summary: Help Documentation is only visible to users with super admin role
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.8.4
Assignee: Dávid Halász
QA Contact: Landon LaSmith
URL:
Whiteboard:
Depends On: 1563241
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 17:48 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
7 users (show)

Fixed In Version: 5.8.4.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563241
Environment:
Last Closed: 2018-06-25 14:20:12 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20:43 UTC

Comment 2 CFME Bot 2018-04-18 18:08:57 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/37080b3ef7fd3c5894e43953ea10b4b1754d10f5
commit 37080b3ef7fd3c5894e43953ea10b4b1754d10f5
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Sun Apr  8 14:56:20 2018 -0400
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Sun Apr  8 14:56:20 2018 -0400

    Merge pull request #3728 from skateman/rbac-help-menu-support

    Restrict the Help->Documentation screen based on RBAC rules only
    (cherry picked from commit 7e2fffe4334b0a4758cb9dab29fffa8e3b97ff2c)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1569171

 app/controllers/support_controller.rb | 5 +
 app/views/support/show.html.haml | 57 +-
 2 files changed, 32 insertions(+), 30 deletions(-)

Comment 3 CFME Bot 2018-04-23 12:58:20 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/efa139f8039f3496454feb41483cefb4025311c8
commit efa139f8039f3496454feb41483cefb4025311c8
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Fri Apr 20 07:01:55 2018 -0400
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Fri Apr 20 07:01:55 2018 -0400

    Add an optional argument for handling RBAC based on a boolean value

    https://bugzilla.redhat.com/show_bug.cgi?id=1569171

 app/controllers/application_controller.rb | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 5 CFME Bot 2018-05-07 17:33:11 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d86d1b8e604a0b341ead02295439eb0a6811d5b5
commit d86d1b8e604a0b341ead02295439eb0a6811d5b5
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu May  3 09:14:29 2018 -0400
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Thu May  3 09:14:29 2018 -0400

    Merge pull request #3882 from skateman/fix-rbac-about

    Validate Help->Documentation screen against the documentation feature
    (cherry picked from commit 2b4ec4c82fa3cb4d191ec156a87acc0229ee3034)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1569171
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1575714

 app/controllers/support_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 Landon LaSmith 2018-05-18 13:23:50 UTC
VERIFIED in 5.8.4.3. I was able to view the help documentation while logged in under non-super admin accounts with custom roles

Comment 8 errata-xmlrpc 2018-06-25 14:20:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.